org.eclipse.jetty.deploy

## Class App

- java.lang.Object
- - org.eclipse.jetty.deploy.App

    public class App
    extends Object

The information about an App that is managed by the `DeploymentManager`

### Constructor Summary

Constructors
Constructor and Description
`App(DeploymentManager manager, AppProvider provider, String originId)` Create an App with specified Origin ID and archivePath
`App(DeploymentManager manager, AppProvider provider, String originId, ContextHandler context)` Create an App with specified Origin ID and archivePath

### Method Summary

Methods
`AppProvider` `getAppProvider()`
`ContextHandler` `getContextHandler()` Get ContextHandler for the App.
`String` `getContextId()` Deprecated. Use getContextPath instead.
`String` `getContextPath()` The context path `App` relating to how it is installed on the jetty server side.
`DeploymentManager` `getDeploymentManager()`
`String` `getOriginId()` The origin of this `App` as specified by the `AppProvider`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### App

    public App(DeploymentManager manager,
       AppProvider provider,
       String originId)

Create an App with specified Origin ID and archivePath

Parameters:
  `originId` - the origin ID (The ID that the `AppProvider` knows about)
See Also:
  `getOriginId()`, `getContextPath()`

#### App

    public App(DeploymentManager manager,
       AppProvider provider,
       String originId,
       ContextHandler context)

Create an App with specified Origin ID and archivePath

Parameters:
  `originId` - the origin ID (The ID that the `AppProvider` knows about)
  `context` - Some implementations of AppProvider might have to use an already created ContextHandler.
See Also:
  `getOriginId()`, `getContextPath()`

### Method Detail

#### getDeploymentManager

    public DeploymentManager getDeploymentManager()

Returns:
  The deployment manager

#### getAppProvider

    public AppProvider getAppProvider()

Returns:
  The AppProvider

#### getContextHandler

    public ContextHandler getContextHandler()
                                     throws Exception

Get ContextHandler for the App. Create it if needed.

Returns:
  the `ContextHandler` to use for the App when fully started. (Portions of which might be ignored when App is not yet `AppLifeCycle.DEPLOYED` or `AppLifeCycle.STARTED`)
Throws:
  `Exception`

#### getContextId

    public String getContextId()

Deprecated. Use getContextPath instead.
The context path `App` relating to how it is installed on the jetty server side. NOTE that although the method name indicates that this is a unique identifier, it is not, as many contexts may have the same contextPath, yet different virtual hosts.

Returns:
  the context path for the App

#### getContextPath

    public String getContextPath()

The context path `App` relating to how it is installed on the jetty server side.

Returns:
  the contextPath for the App

#### getOriginId

    public String getOriginId()

The origin of this `App` as specified by the `AppProvider`

Returns:
  String representing the origin of this app.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`